Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xalan.stree
Class StreeDOMBuilder

    java.lang.Object
      |
      +--org.apache.xalan.utils.DOMBuilder
            |
            +--org.apache.xalan.stree.StreeDOMBuilder

public class StreeDOMBuilder
extends DOMBuilder

Fields inherited from class org.apache.xalan.utils.DOMBuilder
`m_docFrag`

Constructor Summary
`StreeDOMBuilder(Document doc)` StreeDOMBuilder instance constructor...
`StreeDOMBuilder(Document doc, DocumentFragment docFrag)` StreeDOMBuilder instance constructor...
`StreeDOMBuilder(Document doc, Node node)` StreeDOMBuilder instance constructor...

Method Summary
`void` | `setIDAttribute(java.lang.String namespaceURI, java.lang.String qualifiedName, java.lang.String value, Element elem)`

Methods inherited from class org.apache.xalan.utils.DOMBuilder
`cdata, characters, charactersRaw, comment, endCDATA, endDocument, endDTD, endElement, endEntity, endPrefixMapping, entityReference, getCurrentNode, getRootNode, getWriter, ignorableWhitespace, processingInstruction, setDocumentLocator, skippedEntity, startCDATA, startDocument, startDTD, startElement, startEntity, startPrefixMapping`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StreeDOMBuilder

    public StreeDOMBuilder(Document doc,
                           Node node)

  StreeDOMBuilder instance constructor... it will add the DOM nodes to the document fragment.

### StreeDOMBuilder

    public StreeDOMBuilder(Document doc,
                           DocumentFragment docFrag)

  StreeDOMBuilder instance constructor... it will add the DOM nodes to the document fragment.

### StreeDOMBuilder

    public StreeDOMBuilder(Document doc)

  StreeDOMBuilder instance constructor... it will add the DOM nodes to the document.

Method Detail

### setIDAttribute

    public void setIDAttribute(java.lang.String namespaceURI,
                               java.lang.String qualifiedName,
                               java.lang.String value,
                               Element elem)

  Overrides:
    setIDAttribute in class DOMBuilder

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Apache XML Project. All Rights Reserved.